using System.Text.Json.Serialization;
using System.Collections.Generic;
using Topsdk.Util;

namespace Topsdk.Top.Ability414.Domain;

public class TaobaoTbkOrderDetailsGetPlatformSpecialShareInfoDTO
{

    /*
        内容专项服务费比率
    */
    private string? contentTechServiceRate;


    /*
        预估内容专项服务费
    */
    private string? contentTechServicePreFee;


    /*
        结算内容专项服务费
    */
    private string? contentTechServiceFee;


    /*
        流量专项服务费比率（默认无，限定开放）
    */
    private string? trafficTechServiceRate;


    /*
        预估流量专项服务费（默认无，限定开放）
    */
    private string? trafficTechServicePreFee;


    /*
        结算流量专项服务费（默认无，限定开放）
    */
    private string? trafficTechServiceFee;



    [JsonPropertyName("content_tech_service_rate")]
    public string? ContentTechServiceRate
    {
        get => contentTechServiceRate;
        set => this.contentTechServiceRate = value;
    }

    [JsonPropertyName("content_tech_service_pre_fee")]
    public string? ContentTechServicePreFee
    {
        get => contentTechServicePreFee;
        set => this.contentTechServicePreFee = value;
    }

    [JsonPropertyName("content_tech_service_fee")]
    public string? ContentTechServiceFee
    {
        get => contentTechServiceFee;
        set => this.contentTechServiceFee = value;
    }

    [JsonPropertyName("traffic_tech_service_rate")]
    public string? TrafficTechServiceRate
    {
        get => trafficTechServiceRate;
        set => this.trafficTechServiceRate = value;
    }

    [JsonPropertyName("traffic_tech_service_pre_fee")]
    public string? TrafficTechServicePreFee
    {
        get => trafficTechServicePreFee;
        set => this.trafficTechServicePreFee = value;
    }

    [JsonPropertyName("traffic_tech_service_fee")]
    public string? TrafficTechServiceFee
    {
        get => trafficTechServiceFee;
        set => this.trafficTechServiceFee = value;
    }

}

